<div class="col-md-3 scrollspy">
    <div class="favorites bg_none">
        <div class="col-sm-12">
            <div class="row border-bottom">
                <!-- <h1 class="title align-center">
                    <a href="#" class="add-icon" data-toggle="modal" data-target="#favorite">+</a>
                    Favorite companies
                </h1> -->
                <!-- <div class="col-xs-2"> <a href="#" class="add-icon pull-left" data-toggle="modal" data-target="#favorite">+</a> </div>
                <div class="col-xs-10">
                    <h1 class="title">Favorite Companies</h1>
                </div> -->
                <h1 class="title"><a href="#" class="add-icon pull-left" data-toggle="modal" data-target="#favorite">+</a> Favorite Companies</h1>
            </div>
                <!-- <div class="col-xs-8"> -->
                    <!-- <h1 class="title">Favorite companies</h1> -->
                <!-- </div> -->
                <!-- <div class="col-xs-4"> -->
                <!-- </div> -->
            <!-- </div> -->
            <% if @favorite_companies.present? %>
                <ul>
                    <% @favorite_companies.each do |fav| %>
                        <% logger.info "===fav===#{fav.inspect}" %>
                        <li class="fav-comp fav-comp_<%= fav['company_id'] %>" data-id="<%= fav['company_id'] %>">
                            <div class="row">
                                <span class="col-sm-12 col-xs-12">
                                    <!-- <div class="remove_from_fav_icon pull-right"> -->
                                        <a data-toggle="tooltip" data-placement="right" title="Remove from Favorite" href="javascript:void(0);" class="remove-fav-icon pull-right" data-company-id="<%= fav['company_id'] %>" data-company-name="<%= fav['company_name'] %>" id="fav-company"><i class='fa fa-trash'></i></a>
                                    <!-- </div> -->
                                    <p><%= fav['company_name'] || fav['name']%></p>
                                </span>
                            </div>
                            <!-- <h2><%#= fav['company_name'] || fav['name']%></h2> -->
                            <a href="<%= company_path(id: fav.company_id) %>">View company details</a>
                            <!-- <a href="javascript:void(0);" id="company_details" data-id="<%#= fav.company_id %>" data-type="<%#= params[:tab_type]%>" target="_blank">View company details</a> -->
                        </li>
                    <% end %>
                </ul>
                <!-- <a href="#" class="btn btn-theme rounded center-block">See all</a> -->
            <% else %>
                <!-- <br /> -->
                <div class="center_align">
                    <div class="table-cell"> <h3>You have not marked any company as Favorite yet!</h3></div>
                </div>

            <% end %>
        </div>
    </div>
</div>

<!-- favorite modal -->
<div id="favorite" class="modal fade" role="dialog">
  <div class="modal-dialog modal-md">
    <!-- Modal content-->
    <%= form_for FavoriteCompany.new, url: favorite_companies_path, method: :post do |f| %>
        <div class="modal-content">
          <div class="modal-header">

            <h4 class="modal-title">Add Favorite</h4>
          </div>
          <div class="modal-body">
              <div class="form-group margin-top-30 margin-bottom-30">
                  <!-- <input type="text" placeholder="Enter company name" class="form-control"> -->
                <% if @companies_list.present? %>
                    <%= f.select :company_id, options_for_select(@companies_list.map{ |c| [ c.company_name, c.id ] }), {prompt: 'Select Company'}, class: 'select2 select_company form-control' %>
                <% else %>
                    <%= f.select :company_id, options_for_select(@companies.map{ |c| [ c.name, c.id ] }), {prompt: 'Select Company'}, class: 'select2 select_company form-control' %>
                <% end %>
              </div>
    		  <div class="clearfix"></div>
              <%= f.hidden_field 'type_radio_val', value: params[:type] %>
          </div>
          <div class="modal-footer">
              <div class="center-block">
                  <button type="button" class="btn btn-theme2 stroke rounded" data-dismiss="modal">Cancel</button>
                  <!-- <input type="button" class="btn btn-theme rounded" value="Submit"> -->
                  <%= f.submit 'Submit', class: 'btn btn-theme rounded' %>
              </div>
          </div>
        </div>
    <% end %>

  </div>
</div>
<!-- /favorite modal-->
